Subject: Re: [PATCH 0/3] Asciidoctor fixes for 2.48.0

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Dec 2024 18:42:21 -0800

Martin Ågren <[email-masked]> writes:

> The Asciidoctor build of the documentation regressed a bit with
> a38edab7c8 (Makefile: generate doc versions via GIT-VERSION-GEN,
> 2024-12-06).
>
> I think these issues and fixes are fairly orthogonal to the recent
> discussions beginning at [1], with fixes being discussed beginning at
> [2]. I've tested these here patches on top of that series' v1 [2]
> rebased onto a38edab7c8, as well as on top of its recent v3 [3] as
> applied on the indicated base-commit.
>
> With these patches, I can use
>
>   make USE_ASCIIDOCTOR=YesPlease doc
>
> and
>
>   ./doc-diff --asciidoctor <...> <...>
>
> with similar results as pre-a38edab7c8.
>
> On top of current master [4], these patches help, but for "doc-diff",
> the GIT_VERSION injection is still broken (as expected, that's why
> [1,2,3] exist). These here patches don't refer to doc-diff or those
> other patches [2,3] and could go in independently or on top.
>
> These patches are based on [3] applied on its indicated base-commit.
>
> [1] https://lore.kernel.org/git/[email-masked]/
>
> [2] https://lore.kernel.org/git/[email-masked]/
>
> [3] https://lore.kernel.org/git/[email-masked]/
>
> [4] v2.48.0-rc0-38-gff795a5c5e

Thanks.  [2][3] are something we have to have before we can tag 2.48
to have a healthy build with the usual Makefile; so is a working
Asciidoctor based documentation generation, so building your doc
toolchain fixes on top of the fixes for 'GIT-VERSION-GEN' does not
give us any practical problem.

Thanks for a fix.  Will queue.
>
> Martin
>
> Martin Ågren (3):
>   asciidoctor-extensions.rb.in: delete existing <refmiscinfo/>
>   asciidoctor-extensions.rb.in: add missing word
>   asciidoctor-extensions.rb.in: inject GIT_DATE
>
>  Documentation/asciidoctor-extensions.rb.in | 5 ++++-
>  1 file changed, 4 insertions(+), 1 deletion(-)